local addonName, TF = ...

local Loc = LibStub("AceLocale-3.0"):GetLocale("TradeFill")

function fillTradeWindow(item, position)
    local linkIcon = item.link .. " |T" .. GetItemIcon(item.id) .. ":0|t"

    if next(TF.inventory) == nil then
        showMessage(Loc["MESSAGE_NO_ITEM"], linkIcon, "", false)
        return
    end

    if position == nil then
        showMessage(Loc["MESSAGE_FULL"])
        return
    else
        for i = 1, TF.inventoryIndex do
            local locked = C_Container.GetContainerItemInfo(TF.inventory[i].bag, TF.inventory[i].slot)
            local stack = TF.data.setting.full

            if TF.inventory[i].bound == true then
                showMessage(Loc["MESSAGE_SOULBOUND"], linkIcon, "", false)
                return
            end

            if stack == false then
                if TF.inventory[i].item == item.id and locked.isLocked == false then
                    ClearCursor()
                    C_Container.PickupContainerItem(TF.inventory[i].bag, TF.inventory[i].slot)
                    ClickTradeButton(position)
                    break
                end

                if i >= TF.inventoryIndex then
                    showMessage(Loc["MESSAGE_NO_STACK"], linkIcon, "", false)
                    return
                end
            end

            if stack == true then
                if TF.inventory[i].item == item.id and locked.isLocked == false and TF.inventory[i].count == item.stack then
                    ClearCursor()
                    C_Container.PickupContainerItem(TF.inventory[i].bag, TF.inventory[i].slot)
                    ClickTradeButton(position)
                    break
                end

                if i >= TF.inventoryIndex then
                    showMessage(Loc["MESSAGE_NO_FULL_STACK"], linkIcon, "", false)
                    return
                end
            end
        end
    end
end